### Method

# Gtk.SpinButton.configure

#### Declaration [src]

    void
    gtk_spin_button_configure (
      GtkSpinButton* spin_button,
      GtkAdjustment* adjustment,
      double climb_rate,
      guint digits
    )

#### Description [src]

Changes the properties of an existing spin button.

The adjustment, climb rate, and number of decimal places are updated accordingly.

#### Parameters

`adjustment` | `GtkAdjustment`
| a `GtkAdjustment` to replace the spin button’s existing adjustment, or `NULL` to leave its current adjustment unchanged
| Can be `NULL`
| Ownership is not transferred to the callee
`climb_rate` | `double`
| the new climb rate
`digits` | `guint`
| the number of decimal places to display in the spin button